import React from 'react';
import { RendererProps } from '../factory';
export declare function filterContents(tooltip: string | undefined | {
    title?: string;
    content?: string;
    body?: string;
}, data: any): string | {
    title: string;
    content: string | undefined;
} | undefined;
declare type RemarkProps = {
    icon: string;
    className?: string;
    trigger: Array<string>;
    title?: string;
    content: string;
    placement?: string;
} & RendererProps;
declare class Remark extends React.Component<RemarkProps> {
    static propsList: Array<string>;
    static defaultProps: {
        icon: string;
        trigger: string[];
    };
    render(): JSX.Element;
}
declare const _default: React.ComponentClass<Pick<RemarkProps, string | number> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: import("../theme").ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof Remark;
};
export default _default;
export declare class RemarkRenderer extends Remark {
}
